---
title: CSSPageRule
slug: Web/API/CSSPageRule
tags:
  - API
  - CSSOM
  - Interface
  - Reference
---
<div>{{APIRef("CSSOM")}}</div>

<p><strong><code>CSSPageRule</code></strong> is an interface representing a single CSS {{cssxref("@page")}} rule. It implements the {{domxref("CSSRule")}} interface with a type value of <code>6</code> (<code>CSSRule.PAGE_RULE</code>).</p>

<h2 id="Syntax">Syntax</h2>

<p>The syntax is described using the <a href="https://dev.w3.org/2006/webapi/WebIDL/">WebIDL</a> format.</p>

<pre class="syntaxbox">interface CSSPageRule : CSSRule {
  attribute DOMString selectorText;
  readonly attribute CSSStyleDeclaration style;
};
</pre>

<h2 id="Properties">Properties</h2>

<p>As a {{domxref("CSSRule")}}, <code>CSSPageRule</code> also implements the properties of this interface. It has the following specific properties:</p>

<dl>
	<dt>{{domxref("CSSPageRule.selectorText")}}</dt>
	<dd>Represents the text of the page selector associated with the at-rule.</dd>
	<dt>{{domxref("CSSPageRule.style")}} {{readonlyinline}}</dt>
	<dd>Returns the declaration block associated with the at-rule.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p>As a {{domxref("CSSRule")}}, <code>CSSPageRule</code> also implements the methods of that interface. It has no specific methods.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('CSSOM', '#the-csspagerule-interface', 'CSSPageRule')}}</td>
			<td>{{Spec2('CSSOM')}}</td>
			<td>No changes from {{SpecName('DOM2 Style')}}</td>
		</tr>
		<tr>
			<td>{{SpecName('DOM2 Style', 'css.html#CSS-CSSPageRule', 'CSSPageRule')}}</td>
			<td>{{Spec2('DOM2 Style')}}</td>
			<td>Initial definition</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSPageRule")}}</p>
